Skip to main content

Make a transfer between cards

This operations allow you to make a transfer C2C (Card to Card) between the BIN ecosystem cards.

HTTP Request

POST /cards/transfer

Header Parameters

HeaderDescription
Authorization 
required
The Bearer token created in
Get authorization Token
Content-Type 
required
application/json

Body parameters

ParameterTypePatternDescription
origin_card 
required
string16 digits* or uuidThe card_number or card_id to be requested.
destination_card 
required
string16 digits*The card_number or card_id to be requested.
amount 
required
floatdigitsAmount to transfer between cards
note

*If card_number is sended as 16 digits, it must be sended ciphered and Base 64 Encoded. See Data encryption & encoding.

Example JSON Request:

{
"origin_card": "11111111-daa7-1234-aaaa-123123123ecd",
"destination_card": "v7ut6AztPIH_SJK9gRETQQnFmqFPS-qcexyuRly0Hr9_jaG5YAnE_7CNNl_nbLYBi6YJvpnoZFSQdVgPaSEPPbPEhyR_y3zTup6ZTQto0FXE1ArtLPmntQ6-RKg",
"amount": 1000
}

Example JSON Response:

{
"success": true,
"code": 0,
"message": "OK",
"data": {
"operation": {
"id": "111d1d11-222c-4ca2-9a7f-9ea949d787ac",
"authorization_code": "00409_8e53bf98811111",
"amount": 1.0,
"authorizer_date": "2026-03-24T16:47:46-06:00",
"authorizer_time": "2026-03-24T16:47:46-06:00",
"creation_timestamp": "2026-03-24T16:47:48.218-06:00"
},
"origin_card": {
"id": "111d1d11-222c-4ca2-9a7f-9ea949d787ac",
"account_id": "111d1d11-222c-4ca2-9a7f-9ea949d787ac",
"type": "PHYSICAL",
"masked_card_number": "************0959",
"last_four": "0959",
"account_reference": null,
"previous_balance": 3779.0,
"new_balance": 3778.0
},
"destination_card": {
"id": "111d1d11-222c-4ca2-9a7f-9ea949d787ac",
"account_id": "111d1d11-222c-4ca2-9a7f-9ea949d787ac",
"masked_card_number": "************0975",
"last_four": "0975",
"previous_balance": 131.0,
"new_balance": 132.0
}
}
}